object formStyleSheets: TformStyleSheets
  Left = 0
  Top = 0
  Width = 672
  Height = 521
  ConnectionMode = cmAny
  Title = 'CSS Style Sheets'
  OnRender = IWFormModuleBaseRender
  SupportedBrowsers = [brIE, brNetscape7, brNetscape6]
  Background.Fixed = False
  HandleTabs = False
  StyleSheet.Filename = 'Features.css'
  ServerOnResize = False
  UpdateMode = umAll
  DesignLeft = 344
  DesignTop = 183
  object IWLabel1: TIWLabel
    Left = 8
    Top = 188
    Width = 106
    Height = 16
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = False
    Alignment = taLeftJustify
    BGColor = clNone
    Font.Color = clNone
    Font.CSSStyle = 'highlight'
    Font.Enabled = True
    Font.Size = 10
    Font.Style = []
    NoWrap = False
    AutoSize = False
    FriendlyName = 'IWLabel1'
    Caption = 'Highlighted Text'
    RawText = False
  end
  object IWText1: TIWText
    Left = 8
    Top = 36
    Width = 369
    Height = 137
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = False
    ConvertSpaces = True
    Font.Color = clNone
    Font.CSSStyle = 'bodytext'
    Font.Enabled = True
    Font.Size = 10
    Font.Style = []
    FriendlyName = 'IWText1'
    Lines.Strings = (
      'This shows how to use style sheets. Each control'
      'has a stylesheet specified in its Font property.'
      ''
      'The style sheet is external and specified in the form'#39's'
      'stylesheet property.'
      ''
      'Stylesheets can also be used by using templates.')
    RawText = False
    UseFrame = False
    WantReturns = True
  end
  object IWLabel2: TIWLabel
    Left = 208
    Top = 188
    Width = 110
    Height = 16
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = False
    Alignment = taLeftJustify
    BGColor = clNone
    Font.Color = clNone
    Font.CSSStyle = 'sectionheading'
    Font.Enabled = True
    Font.Size = 10
    Font.Style = []
    NoWrap = False
    AutoSize = False
    FriendlyName = 'IWLabel2'
    Caption = 'Section Heading'
    RawText = False
  end
  object IWText2: TIWText
    Left = 8
    Top = 228
    Width = 377
    Height = 89
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = False
    ConvertSpaces = True
    Font.Color = clWebRED
    Font.Enabled = True
    Font.FontName = 'Tahoma'
    Font.Size = 10
    Font.Style = [fsBold]
    FriendlyName = 'IWText2'
    Lines.Strings = (
      'You can also be selective in which controls use the'
      'style sheet.'
      ''
      'This one does not use a stylesheet, but uses its'
      'own font settings.')
    RawText = False
    UseFrame = False
    WantReturns = True
  end
  object IWButton1: TIWButton
    Left = 48
    Top = 340
    Width = 105
    Height = 25
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = True
    ButtonType = btButton
    Caption = 'Stylesheet 1'
    Color = 13160660
    DoSubmitValidation = True
    Font.Color = clNone
    Font.Enabled = True
    Font.Size = 10
    Font.Style = []
    FriendlyName = 'IWButton1'
    ScriptEvents = <>
    TabOrder = 0
    OnClick = IWButton1Click
  end
  object IWButton2: TIWButton
    Left = 204
    Top = 340
    Width = 97
    Height = 25
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = True
    ButtonType = btButton
    Caption = 'Stylesheet 2'
    Color = 13160660
    DoSubmitValidation = True
    Font.Color = clNone
    Font.Enabled = True
    Font.Size = 10
    Font.Style = []
    FriendlyName = 'IWButton2'
    ScriptEvents = <>
    TabOrder = 1
    OnClick = IWButton2Click
  end
  object lablCurrentStylesheet: TIWLabel
    Left = 48
    Top = 372
    Width = 122
    Height = 16
    Cursor = crAuto
    IW50Hint = False
    ParentShowHint = False
    ShowHint = True
    ZIndex = 0
    RenderSize = False
    Alignment = taLeftJustify
    BGColor = clNone
    Font.Color = clNone
    Font.Enabled = True
    Font.Size = 10
    Font.Style = []
    NoWrap = False
    AutoSize = False
    FriendlyName = 'lablCurrentStylesheet'
    Caption = 'Current Stylesheet:'
    RawText = False
  end
  inline framMenu1: TframMenu
    Left = 0
    Top = 0
    Width = 672
    Height = 25
    HorzScrollBar.Range = 193
    HorzScrollBar.Visible = False
    VertScrollBar.Range = 491
    VertScrollBar.Visible = False
    Align = alTop
    AutoScroll = False
    Color = clWhite
    ParentColor = False
    TabOrder = 0
    inherited IWMenu1: TIWMenu
      Width = 672
    end
  end
end
