unit ServerController;
{PUBDIST}

interface

uses
  SysUtils, Classes, IWServerControllerBase, IWApplication, IWAppForm, IWBaseForm;

type
  TIWServerController = class(TIWServerControllerBase)
    procedure IWServerControllerBaseNewSession(ASession: TIWApplication;
      var VMainForm: TIWBaseForm);
  private
  public
  end;

  TPCPSession = class(TComponent)
  public
    Name: string;
    Address1: string;
    Address2: string;
    City: string;
    State: string;
    Zip: string;
    //
    PlanLD: Boolean;
    Phone: string;
    //
    CreditUnion: string;
    PromoCode: string;
    //
    Plan: string;
    PeakMins: Integer;
    OffPeakMins: Integer;
  end;

// Procs
  function UserSession: TPCPSession;

implementation
{$R *.dfm}

uses
  IWInit;

function UserSession: TPCPSession;
begin
  Result := TPCPSession(WebApplication.Data);
end;

procedure TIWServerController.IWServerControllerBaseNewSession(
  ASession: TIWApplication; var VMainForm: TIWBaseForm);
begin
  ASession.Data := TPCPSession.Create(ASession);
end;

initialization
  TIWServerController.SetServerControllerClass;
  
end.
